Subject: RFC4134 email mismatch in examples 4.8 and 4.9

From: "Maxim Masiutin" <[email-masked]>
Date: Sat, 14 Mar 2009 23:22:24 +0200

Hello,

I have a question about RFC4134, Examples 4.8 and 4.9.

"From" line of the RFC-822 message is [email-masked], while the certificate’s SubjectAlternativeName contains Rfc822Name = [email-masked]

So the two emails are different in the host part.

Is it OK for them to be different?

-- 
Best regards,
Maxim Masiutin                         
Ritlabs SRL
http://www.ritlabs.com/

---

From: "Jim Schaad" <[email-masked]>
Date: Sat, 14 Mar 2009 14:53:18 -0700

For the purposes of S/MIME all RFC822 addresses are considered to be case
insensitive.

Jim

> -----Original Message-----
> From: [email-masked] [mailto:owner-ietf-
> [email-masked]] On Behalf Of Maxim Masiutin
> Sent: Saturday, March 14, 2009 2:22 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: RFC4134 email mismatch in examples 4.8 and 4.9
> 
> Hello,
> 
> "From" line of the RFC-822 message is [email-masked], while the
> certificate's SubjectAlternativeName contains Rfc822Name =
> [email-masked]
>

---

From: "Maxim Masiutin" <[email-masked]>
Date: Sun, 15 Mar 2009 00:29:45 +0200

Hello Jim,

Then you for replying. As I wrote in my first message, the two emails are different in the host part ("examples.com" vs "example.com"), where the character "s" after "example" before ".com" is the difference:

[email-masked]
[email-masked]

-- 
Best regards,
Maxim Masiutin                     
Ritlabs SRL
http://www.ritlabs.com/

---

From: "David A. Cooper" <[email-masked]>
Date: Mon, 16 Mar 2009 10:17:02 -0400

> For the purposes of S/MIME all RFC822 addresses are considered to be case

Jim,

Could you provide a reference for this?

I know that the PKCS#9 emailAddress attribute is case insensitive, but 
everywhere else that I have seen indicates that the local-part of an 
email address is case sensitive (although the host may, and usually 
does, treat the local-part as case insensitive).  For example, RFC 5321 
states:

   The local-part of a mailbox MUST BE treated as case sensitive.
   Therefore, SMTP implementations MUST take care to preserve
   the case of mailbox local-parts.  In particular, for some hosts, the
   user "smith" is different from the user "Smith".  However, exploiting
   the case sensitivity of mailbox local-parts impedes interoperability
   and is discouraged.  Mailbox domains follow normal DNS rules
   and are hence not case sensitive.

When you say that RFC822 addresses are considered to be case 
insensitive, are you saying that this is according to the standard for 
S/MIME or just that it is common practice?

Thanks,

Dave

---

From: "Miller, Timothy J." <[email-masked]>
Date: Mon, 16 Mar 2009 11:32:53 -0400

Not correct.  Mail address local parts are *case sensitive*.

RFC5322 Section 3.4.1:

"""
The local-part portion is a domain-dependent string.
"""

RFC5321:

"""
2.4.  General Syntax Principles and Transaction Model

   [...]
 
The
   local-part of a mailbox MUST BE treated as case sensitive.
   Therefore, SMTP implementations MUST take care to preserve the case
   of mailbox local-parts.  In particular, for some hosts, the user
   "smith" is different from the user "Smith".  However, exploiting the
   case sensitivity of mailbox local-parts impedes interoperability and
   is discouraged.  Mailbox domains follow normal DNS rules and are
   hence not case sensitive.
"""

Discouraged != (MUST NOT || SHOULD NOT)

We went through this argument (at my instigation) last year on the S/MIME
list:

http://osdir.com/ml/ietf.smime/2007-09/msg00004.html

-- Tim

>From: [email-masked] [mailto:[email-masked]]
>On Behalf Of Jim Schaad
>Sent: Saturday, March 14, 2009 4:53 PM
>To: 'Maxim Masiutin'; [email-masked]
>Cc: [email-masked]
>Subject: RE: RFC4134 email mismatch in examples 4.8 and 4.9
>
>

---

From: Tom Gindin <[email-masked]>
Date: Tue, 17 Mar 2009 20:44:05 -0400

RFC 1274 section 9.3.3 is also on Jim's side, since the syntax of 
the rfc822Mailbox attribute is caseIgnoreIA5StringSyntax.  It's still 
probably better to fix the example so that it doesn't raise this vexed 
question.

                Tom Gindin

"Miller, Timothy J." <[email-masked]> 
Sent by: [email-masked]
03/16/2009 11:32 AM

To
"'Jim Schaad'" <[email-masked]>, "'Maxim Masiutin'" 
<[email-masked]>, "[email-masked]" <[email-masked]>
cc
"[email-masked]" <[email-masked]>
Subject
RE: RFC4134 email mismatch in examples 4.8 and 4.9

RFC5322 Section 3.4.1:

"""

RFC5321:

"""

   [...]
 
The

-- Tim

---

From: Michael StJohns <[email-masked]>
Date: Fri, 20 Mar 2009 12:44:24 -0400

Umm...

even with case insensitivity, these two email addresses don't match...

example.com vs
examples.com

I didn't parse the BASE64 in the 4.8 example (which has an email from [email-masked]) but the asn1 dump in 4.10 has the data signed by [email-masked]

Mike